<?php
require 'config.php';
require '../vendor/autoload.php';
use Firebase\JWT\JWT;
use Firebase\JWT\Key;

$headers = apache_request_headers();
//$jwt = $headers['Authorization'];
$jwt = str_replace("Bearer ", "", $headers['Authorization']);

if($jwt){
    try {
        $key = "hightelplc_bankapi";
        //$array = array('HS256');
        //$decoded = JWT::decode($jwt, $key, ['HS256']);
        $decoded = JWT::decode($jwt, new Key($key, 'HS256'));

        // Your secure data here
        echo json_encode(["message" => "Secure data retrieved!", "data" => $decoded->data]);

    } catch (Exception $e){
        echo json_encode(["message" => "Access denied!"]);
    }
} else {
    echo json_encode(["message" => "Access denied!"]);
}
?>
